import { Events } from './Events';
import ScriptLoaderPlugin from './ScriptLoaderPlugin';
declare module '@ima/core' {
    interface DispatcherEventsMap {
        [Events.LOADED]: {
            url: string;
            error?: Error;
        };
    }
}
declare const defaultDependencies: (string | typeof import("@ima/plugin-resource-loader").default)[];
export { Events, ScriptLoaderPlugin, defaultDependencies };
